Subject: bug#43252: 27.1; DBus properties lack type hints or overrides

From: Hugh Daschbach <[email-masked]>
Date: Wed, 09 Sep 2020 09:12:10 -0700

Michael Albinus writes:

> Hugh Daschbach <[email-masked]> writes:
>
> Hi Hugh,
>
> That would be great! I'll happily add your tests to
> dbus-tests.el. However, this would be a contribution to 
> Emacs. For
> contributions exceeding ~15 lines, every contributor shall sign 
> the
> legal papers from the FSF. Would you be willing to do?

Yes, I'd be willing to assign copyright to FSF.  Where do I get a 
copy
of the paperwork?  I'll keep submissions to under 15 lines until I 
can
get the paperwork cleared.

> Until now, the implementation allows only basic D-Bus types for
> properties. Nobody has asked for more so far :-)
>
> I could extend this for complex types. Since this will require 
> internal
> changes of data structures, it might take some days.
>
> An empty array could be specified by the element's signature, 
> like
> (:array :signature "{sv}"). See the D-Bus manual via
> (info "(dbus) Type Conversion")

I have used that signature for method returns.  I suppose I could 
save
the signature as a property value instead of nil if I have an 
empty
value for a compound type.  Let me look at that.

Thanks again.

Hugh